﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace FLY.FeedbackRenZiJia.Common
{
    public class FeedbackHeatsMark
    {
        public int[] heats;
        public static FeedbackHeatsMark Load(string path)
        {
            try
            {
                using (Stream fStream = new FileStream(path, FileMode.Open))
                {
                    XmlSerializer xmlFormat = new XmlSerializer(typeof(FeedbackHeatsMark));//创建XML序列化器，需要指定对象的类型
                    FeedbackHeatsMark sp = (FeedbackHeatsMark)xmlFormat.Deserialize(fStream);
                    fStream.Dispose();//关闭文件
                    return sp;
                }
            }
            catch
            {
                return null;
            }
        }
        public void Save(string path)
        {
            using (
            Stream fStream = new FileStream(path, FileMode.Create))
            {
                XmlSerializer xmlFormat = new XmlSerializer(typeof(FeedbackHeatsMark));//创建XML序列化器，需要指定对象的类型
                xmlFormat.Serialize(fStream, this);
                fStream.Dispose();//关闭文件
            }
        }
    }
}
