﻿using FLY.IBC.Common;
using FLY.OBJComponents.IService;
using FObjBase;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.IBC.IService
{
    public interface IIBCSystemService: INotifyPropertyChanged
    {
        /// <summary>
        /// 数据
        /// </summary>
        IBCData Item { get; }

        /// <summary>
        /// 控制记录周期,单位s, 最小值为2
        /// </summary>
        int CtrlInterval { get; set; }

        /// <summary>
        /// PLC代理系统
        /// </summary>
        IPLCProxySystemService PLCos { get; }
    }
}
