﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.Blowing.IService
{
    public interface ICalFilmLen:INotifyPropertyChanged
    {
        /// <summary>
        /// 膜长查找范围
        /// </summary>
        double FLRange { get; set; }

        /// <summary>
        /// 当前膜距离
        /// </summary>
        double FilmLength { get; }

        /// <summary>
        /// 计算过程
        /// </summary>
        string State { get; }
        /// <summary>
        /// 最大相关性
        /// </summary>
        double MaxR { get;  }

        /// <summary>
        /// 最大相关性 对应膜距离
        /// </summary>
        double MaxRFilmLength { get; }

        /// <summary>
        /// 计算膜长， 当计算成功，MaxRFilmLength 算出结果。
        /// 当需要等待， MaxRFilmLength = -1
        /// </summary>
        void CalFilmLength();

        
    }
}
