﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace FLY.Thick.Blowing.IService
{
    public interface IScanWarningService:INotifyPropertyChanged
    {
        /// <summary>
        /// 使能
        /// </summary>
        bool Enable { get; set; }

        /// <summary>
        /// 自动目标值
        /// </summary>
        bool IsAutoTarget { get; set; }

        /// <summary>
        /// 连续N个点，大于规格线（公差）才算报警
        /// </summary>
        int AlarmCnt_Tolerance { get; set; }

        void Apply();
    }
}
