﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FLY.Thick.Blowing.OBJ_INTERFACE
{
    public class BULKDB_OBJ_INTERFACE
    {
        #region Pack
        public class Pack_State
        {
            public int Count;
            public DateTime StartTime;
            public DateTime EndTime;
            public bool IsFinished;
        }
        #endregion

        #region GetValue
        /// <summary>
        /// json Pack_State
        /// </summary>
        public const UInt16 GET_STATE = 1;
        #endregion
        #region SetValue

        #endregion
        #region PushMsg
        /// <summary>
        /// json Pack_State
        /// </summary>
        public const UInt16 PUSH_STATE = 1;
        /// <summary>
        /// json BulkDBTempFrameChangedEventArgs
        /// </summary>
        public const UInt16 PUSH_TEMP_FRAME_CHANGED = 2;
        #endregion
        #region CallFunction

        /// <summary>
        /// request: json Pack_GetFrameRequest
        /// reponse: json Pack_GetFrameReponse
        /// </summary>
        public const UInt16 CALL_GET_FRAME = 0;

        /// <summary>
        /// request: json Pack_GetTrendRequest
        /// reponse: json Pack_GetTrendReponse
        /// </summary>
        public const UInt16 CALL_GET_TREND = 1;

        /// <summary>
        /// reponse: json Pack_GetErrorRequest
        /// reponse: json Pack_GetErrorReponse
        /// </summary>
        public const UInt16 CALL_GET_ERROR = 2;

        /// <summary>
        /// request: null
        /// </summary>
        public const UInt16 CALL_FINISH = 3;
        #endregion
    }
}
