﻿using SQLite;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.Blowing.Server.Model
{
    /// <summary>
    /// 原始数据.数据库 对象
    /// </summary>
    public class OrgDbModel : SQLiteDbContext
    {
        /// <summary>
        /// Sign 表对象
        /// </summary>
        public DBTable<Db_Sign> TbSign { get; } = new DBTable<Db_Sign>();

        /// <summary>
        /// Roll 表对象
        /// </summary>
        public DBTable<Db_Roll> TbRoll { get; } = new DBTable<Db_Roll>();

        /// <summary>
        /// 
        /// </summary>
        /// <param name="dbpath"></param>
        public OrgDbModel(string dbpath) : base(dbpath)
        {

        }
        /// <summary>
        /// 
        /// </summary>
        public OrgDbModel() : this(@"D:\blowingdata\thickness_fix_org.sqlite3")
        {

        }
    }
}
