﻿using FLY.Thick.Blowing.IService;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.Blowing.Server.Model
{
    /// <summary>
    /// 信号记录
    /// </summary>
    public class Lc_Sign
    {
        /// <summary>
        /// key
        /// </summary>
        public Int64 ID { get; set; }

        /// <summary>
        /// 信号时间
        /// </summary>
        public DateTime Time { get; set; }

        /// <summary>
        /// 信号列表 SignData[]
        /// </summary>
        public SignData[] Signs { get; set; }
    }


    /// <summary>
    /// 辊信号记录
    /// </summary>
    public class Lc_Roll
    {
        /// <summary>
        /// key
        /// </summary>
        public Int64 ID { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime Time { get; set; }

        /// <summary>
        /// 信号列表 RollCell[]
        /// </summary>
        public RollCell[] Signs { get; set; }
    }



}
