﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FObjBase;
using FLY.Thick.BlowingScan.IService;
using FLY.Thick.BlowingScan.Common;
using FLY.Thick.Blowing.OBJ_INTERFACE;

namespace FLY.Thick.BlowingScan.OBJ_INTERFACE
{
    /// <summary>
    /// 吹膜测厚.扫描 OBJ接口
    /// </summary>
    public class BLOWING_SCAN_OBJ_INTERFACE:BLOWING_OBJ_INTERFACE
    {
        #region Pack
        public class Pack_ParamsExt
        {
            /// <summary>
            /// 扫描用，解方程数
            /// </summary>
            public int solveCnt;
            
            /// <summary>
            /// 探头直径
            /// </summary>
            public int sensorWidth;
            /// <summary>
            /// 平滑
            /// </summary>
            public int smooth;
        }

        public class Pack_BM
        {
            public int firstbm;
            public int lastbm;
        }


        #endregion
        #region GetValue
        /// <summary>
        /// json Pack_ParamsExt
        /// </summary>
        public const UInt16 GET_PARAMSEXT = 3;

        /// <summary>
        /// json Pack_BM
        /// </summary>
        public const UInt16 GET_BUFINFO = 4;
        #endregion
        #region SetValue
        /// <summary>
        /// json Pack_Params
        /// </summary>
        public const UInt16 SET_PARAMSEXT = 3;
        #endregion
        #region CallFunction
        /// <summary>
        /// request:null
        /// reponse:json  GetBufListReponse
        /// </summary>
        public const UInt16 CALL_GETBUF = 1;
        #endregion
        #region PushInfo
        /// <summary>
        /// json Pack_ParamsExt
        /// </summary>
        public const UInt16 PUSH_PARAMSEXT = 3;

        /// <summary>
        /// json Pack_BM
        /// </summary>
        public const UInt16 PUSH_BUFINFO = 4;

        #endregion
    }
}
