﻿using FLY.OBJComponents.Client;
using FLY.Weight.Client;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FLY.Weight.UI.Client
{
    /// <summary>
    /// Page_Thickness.xaml 的交互逻辑
    /// </summary>
    public partial class Page_Thickness : Page
    {
        WeightSystemClient mWeighterCsService;
        SetPLCUpdatePlan setPlan_accessory;
        public Page_Thickness()
        {
            InitializeComponent();
            Init();
        }
        void Init()
        {
            mWeighterCsService = TDGage.Current.mWeighterCsService;
            root_grid.DataContext = mWeighterCsService;

            RebuildPlans();
        }

        /// <summary>
        /// 由于数量改变，重新构造更新计划
        /// </summary>
        void RebuildPlans()
        {

            setPlan_accessory = new SetPLCUpdatePlan(
                    mWeighterCsService.PLCos,
                    mWeighterCsService.Accessory,
                    new string[] {
                        "WheelPerimeter",
                        "WheelPulse",
                        "Density"
                    });
            
        }

        private void button_back_Click(object sender, RoutedEventArgs e)
        {
            setPlan_accessory.Dispose();
            NavigationService.GoBack();
        }
    }
}
