﻿using FLY.ControlLibrary;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace FLY.Weight.UI.Client.UIModule
{
    /// <summary>
    /// Window_GraphSet.xaml 的交互逻辑
    /// </summary>
    public partial class Window_GraphSet : WindowBigClose
    {
        public Window_GraphSet()
        {
            InitializeComponent();
            Init();
        }

        FLY.Weight.Client.WeightSystemClient weightSystemClient;

        public void Init()
        {
            weightSystemClient = TDGage.Current.mWeighterCsService;

            stackpanel_show.DataContext = SysParam.Current.GraphParams;
            stackpanel_sys.DataContext = weightSystemClient;
        }
        private void button_ok_Click(object sender, RoutedEventArgs e)
        {
            SysParam.Current.Save();
            this.DialogResult = true;
            this.Close();
        }

    }
}
