﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;

namespace FLY.Winder.UI.Client.Converter
{
    public class RatioConverter : IMultiValueConverter
    {
        #region IMultiValueConverter 成员

        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (values.Length == 3)//必须要检查，不然 界面生成器 会错误，提示转换异常
            {
                double ratio;
                double value = System.Convert.ToDouble(values[0]);
                double max = System.Convert.ToDouble(values[1]);
                double ActualWidth = System.Convert.ToDouble(values[2]);


                if (max <= 0)
                    ratio = 0;
                else
                    ratio = (double)value / max;

                if (ratio < 0)
                    ratio = 0;
                else if (ratio > 1)
                    ratio = 1;

                return ActualWidth * ratio;
            }
            else
            {
                return 100;
            }
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            return null;
        }

        #endregion
    }
}
