﻿using FLY.OBJComponents.IService;
using FLY.Winder.Common;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Winder.IService
{
    public interface IWinderSystemService
    {
        /// <summary>
        /// 收卷其它附件
        /// </summary>
        WinderAccessory Accessory { get; }
        /// <summary>
        /// 内收卷 外收卷
        /// </summary>
        List<WinderInsideOutside> Items { get; }

        /// <summary>
        /// PLC代理系统
        /// </summary>
        IPLCProxySystemService PLCos { get; }
    }
}
