﻿
using FLY.OBJComponents.Server.OBJProxy;
using FLY.Winder.Server.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Winder.Server.OBJProxy
{
    public class OBJProxy
    {
        WinderSystem_OBJProxy winderSystemOBJProxy;

        Buffer_OBJProxy<Db_WinderInfo> mInfoListOBJProxy;

        WarningSystem_OBJProxy mWarnSystemOBJProxy;
        public OBJProxy(int objsys_idx, TDGage gage) 
        {
            TDGage mGage = gage;
            winderSystemOBJProxy = new WinderSystem_OBJProxy(objsys_idx, gage.mData);

            mInfoListOBJProxy = new Buffer_OBJProxy<Db_WinderInfo>(
                objsys_idx,
                OBJ_INTERFACE.OBJ_INTERFACE.WINDER_OBJ_INFOLIST_ID,
                gage.mHistoryDb.WinderInfoBuffer);

            mWarnSystemOBJProxy = new WarningSystem_OBJProxy(
                objsys_idx,
                OBJ_INTERFACE.OBJ_INTERFACE.WARNING_OBJ_ID,
                gage.mWarning);

            winderSystemOBJProxy.CurrObjSys.Start_Conn_Server(
                new IPEndPoint(IPAddress.Any, gage.mSysParam.OBJ_Port), winderSystemOBJProxy.ID);

        }
    }
}
