﻿using FLY.FeedbackRenZiJia.Common;
using FObjBase;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FLY.FeedbackRenZiJia.IService
{
    public interface ISnapShotBuf
    {
        /// <summary>
        /// 获取快照 返回类型为 FlyData_SnapShot
        /// </summary>
        /// <param name="bookmark">记录点</param>
        /// <param name="AsyncDelegate"></param>
        /// <param name="AsyncState"></param>
        void Get(int bookmark, AsyncCBHandler AsyncDelegate, object AsyncState);

        /// <summary>
        /// 设置快照 
        /// </summary>
        /// <param name="f">FlyData_SnapShot</param>
        void Set(FlyData_SnapShot f);

        /// <summary>
        /// 删除快照
        /// </summary>
        /// <param name="bookmark"></param>
        void Del(int bookmark);

        /// <summary>
        /// 获取保存的快照列表 返回类型为 List&lt;int&gt;
        /// </summary>
        /// <param name="AsyncDelegate"></param>
        /// <param name="AsyncState"></param>
        void GetList(AsyncCBHandler AsyncDelegate, object AsyncState);
    }
}
