﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace FLY.IBC.UI.Client.UIModule
{
    /// <summary>
    /// Window_Frequency.xaml 的交互逻辑
    /// </summary>
    public partial class Window_K123 : FLY.ControlLibrary.WindowBigClose
    {
        FLY.OBJComponents.Client.SetPLCUpdatePlan setPlan;
        public Window_K123()
        {
            InitializeComponent();

            grid_ibc.DataContext = TDGage.Current.mIBCSystemService.Item;

            FLY.IBC.Client.IBCSystemClient iBCSystemClient = TDGage.Current.mIBCSystemService;

            setPlan = new FLY.OBJComponents.Client.SetPLCUpdatePlan(
                iBCSystemClient.PLCos,
                iBCSystemClient.Item,
                new string[] {
                    "BubbleCorrR",
                    "BubbleCorrA",
                    "BubbleCorrB",
                    "BubbleCorrC",
                    "L",
                    "K1",
                    "K2",
                    "K3"
    });
        }
    }
}
