﻿using FLY.IntegratedControl.Common;
using FLY.OBJComponents.IService;
using FObjBase;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.IntegratedControl.IService
{
    public interface IICSystemService
    {
        /// <summary>
        /// 数据
        /// </summary>
        ICData Item { get; }

        /// <summary>
        /// IBC控制历史列表
        /// </summary>
        IBCCtrlListData CtrlListData { get; }

        /// <summary>
        /// PLC代理系统
        /// </summary>
        IPLCProxySystemService PLCos { get; }
    }
}
