﻿using FLY.Thick.Blowing.Client;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThickTcpUiInWindow;

namespace FLY.Thick.Blowing.UI.Fix.Client
{
    /// <summary>
    /// Page_ScanWarning.xaml 的交互逻辑
    /// </summary>
    public partial class PgScanWarning : Page
    {
        ScanWarningServiceClient mScanWarning;

        public PgScanWarning()
        {
            InitializeComponent();
        }
        public void Init(IPEndPoint serverep)
        {
            mScanWarning = new ScanWarningServiceClient(FLY.Thick.Blowing.OBJ_INTERFACE.OBJ_INTERFACE_ID.SCANWARNING_ID);

            FObjBase.FObjSys.Current.Connect_to_Another_OBJSys(
                serverep, mScanWarning.ID);

            this.DataContext = mScanWarning;
        }
        private void Page_Loaded(object sender, RoutedEventArgs e)
        {

        }
        private void Page_Unloaded(object sender, RoutedEventArgs e)
        {
            mScanWarning.Dispose();
        }

        private void button_apply_Click(object sender, RoutedEventArgs e)
        {
            if (Window_Password.Authorize(2))
            {
                mScanWarning.Apply();
                FLY.ControlLibrary.Window_Tip.Show("应用成功",
                    null,
                    TimeSpan.FromSeconds(2));
            }
        }
    }
}
