﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FObjBase;
using FLY.Thick.Blowing.IService;

namespace FLY.Thick.Blowing.OBJ_INTERFACE
{
    public class BLOWINGFIX_OBJ_INTERFACE:BLOWING_OBJ_INTERFACE
    {
        #region Pack
        public class Pack_EPC
        {
            public RenZiJiaFixEPCType epctype;
            public TimeSpan sampleconsume;
            public TimeSpan sampleinterval;
            public TimeSpan backedgewait;
            public bool isBtnSelfHold;
        }
        public class Pack_EPCState
        {
            public TimeSpan sampletimer;
            public bool isrunning;
            public int samplead;
        }

        #endregion
        #region GetValue

        /// <summary>
        /// Pack_EPC
        /// </summary>
        public const UInt16 GET_EPC = 5;
        /// <summary>
        /// Pack_EPCState
        /// </summary>
        public const UInt16 GET_EPCSTATE = 6;

        #endregion
        #region SetValue
        /// <summary>
        /// Pack_EPC
        /// </summary>
        public const UInt16 SET_EPC = 5;

        #endregion
        #region CallFunction

        /// <summary>
        /// request:null
        /// reponse:null
        /// </summary>
        public const UInt16 CALL_EPCSTART = 2;

        /// <summary>
        /// request:null
        /// reponse:null
        /// </summary>
        public const UInt16 CALL_EPCSTOP = 3;

        /// <summary>
        /// request:json GetADListRequest
        /// reponse:json GetADListReponse
        /// </summary>
        public const UInt16 CALL_GETADLIST = 4;
        #endregion
        #region PushInfo

        /// <summary>
        /// Pack_EPC
        /// </summary>
        public const UInt16 PUSH_EPC = 5;

        /// <summary>
        /// Pack_EPCState
        /// </summary>
        public const UInt16 PUSH_EPCSTATE = 6;

        #endregion
    }
}
