﻿using FLY.Thick.Blowing.IService;
using FObjBase;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FLY.Thick.Blowing.OBJ_INTERFACE
{
    /// <summary>
    /// 吹膜测厚 OBJ接口
    /// </summary>
    public class BLOWING_OBJ_INTERFACE
    {
        #region Pack
        /// <summary>
        /// 
        /// </summary>
        public class Pack_Params
        {
            /// <summary>
            /// 加热棒数量
            /// </summary>
            public int channelcnt;
            /// <summary>
            /// 分区数/加热棒数量
            /// </summary>
            public int bpc;
            /// <summary>
            /// 复位区号
            /// </summary>
            public int orgBolt;
        }
        /// <summary>
        /// 
        /// </summary>
        public class Pack_Map
        {
            public bool IsUsedMap;
            public List<BoltMapCell> Map;
        }
        #endregion
        #region GetValue
        /// <summary>
        /// Pack_Params
        /// </summary>
        public const UInt16 GET_PARAMS = 1;
        /// <summary>
        /// Pack_Map
        /// </summary>
        public const UInt16 GET_MAP = 2;
        #endregion
        #region SetValue
        /// <summary>
        /// Pack_Params
        /// </summary>
        public const UInt16 SET_PARAMS = 1;
        /// <summary>
        /// Pack_Map
        /// </summary>
        public const UInt16 SET_MAP = 2;
        #endregion

        #region PushInfo
        /// <summary>
        /// Pack_Params
        /// </summary>
        public const UInt16 PUSH_PARAMS = 1;
        /// <summary>
        /// Pack_Map
        /// </summary>
        public const UInt16 PUSH_MAP = 2;
        /// <summary>
        /// Pack_RenZiJiaDataEventArgs
        /// </summary>
        public const UInt16 PUSH_DATA = 10;


        #endregion

        #region CallFunction


        #endregion

    }
}
