﻿using FLY.Thick.BlowingScan.Server;
using FLY.Thick.BlowingScan.Server.OBJProxy;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FLY.Thick.BlowingScan.UI.Server
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : FLY.ControlLibrary.WindowBigClose
    {
        FLY.AppHelper.WindowNotifyIconHelper notifyiconhelper;
        TDGage mGage;
        OBJProxys mOBJProxy;
        public MainWindow()
        {
            InitializeComponent();

            mGage = new TDGage("Gage1");
            mOBJProxy = new OBJProxys(0, mGage);

            Assembly asm = Assembly.GetExecutingAssembly();
            string version = "v" + asm.GetName().Version.ToString();

            this.Title = "枫莱尔--吹膜扫描测厚仪服务器" + " " + version;
            notifyiconhelper = new AppHelper.WindowNotifyIconHelper(this, this.Title);

            this.Hide();

            FObjBase.PollModule.Current.Start();

            this.DataContext = mGage.mSysParam;
        }
    }
}
