﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Forms;
using FLY.Weight.Server;
//using FLY.Module.PLCclient;

using System.Reflection;

namespace FLY.Weight.UI.Server
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        FLY.AppHelper.WindowNotifyIconHelper notifyiconhelper;
        FLY.Weight.Server.TDGage gage;
        FLY.Weight.Server.OBJProxy.OBJProxy oBJProxy;
        public MainWindow()
        {
            InitializeComponent();

            this.Title = (new Misc.Ver() { SrcType = typeof(MainWindow) }).ToString();

            notifyiconhelper = new AppHelper.WindowNotifyIconHelper(this, this.Title);

            this.Hide();

            FObjBase.PollModule.Current.Start();
            gage = new TDGage("Gage1");
            oBJProxy = new Weight.Server.OBJProxy.OBJProxy(0, gage);

            //this.DataContext = mTDGage.mData.Items[0];
            FLY.OBJComponents.Server.PLCProxySystem plsos =
                gage.mData.PLCos as FLY.OBJComponents.Server.PLCProxySystem;
            //grid_plcos.DataContext = plsos;
            //grid_plc.DataContext = plsos.PLCs[0];
            //grid_WeightSystem.DataContext = mTDGage.mData;
            this.itemcontrol.ItemsSource = plsos.PLCs;
        }
    }
}
