﻿using FLY.OBJComponents.IService;
using FLY.Weight.Client;
using FLY.Weight.Common;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace FLY.Weight.IService
{
    public interface IWeightSystemService: INotifyPropertyChanged
    {
        /// <summary>
        /// 称重其它附件
        /// </summary>
        WeighterAccessory Accessory { get; }
        /// <summary>
        /// 各层称重
        /// </summary>
        ObservableCollection<WeighterC> Items { get; }

        /// <summary>
        /// PLC代理系统
        /// </summary>
        IPLCProxySystemService PLCos { get; }

        /// <summary>
        /// 数据间隔
        /// </summary>
        int FlowInterval { get; set; }

        /// <summary>
        /// 层数
        /// </summary>
        int ItemsCnt { get; }

        /// <summary>
        /// 每层仓数
        /// </summary>
        int[] BinCnts { get; }
    }




}
