﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FLY.Weight.OBJ_INTERFACE
{
    public class OBJ_INTERFACE
    {

        public const UInt32 WARNING_OBJ_ID = 0x00000300;
        public const UInt32 WARNING_OBJ_REASONLIST_ID = WARNING_OBJ_ID + 1;
        public const UInt32 WARNING_OBJ_NEWESTLIST_ID = WARNING_OBJ_ID + 2;



        public const UInt32 WEIGHTS_OBJ_ID = 0x00000200;
        public const UInt32 WEIGHTS_OBJ_SYNCPROP_ID = WEIGHTS_OBJ_ID + 1;

        public const UInt32 WEIGHTS_OBJ_PLCOS_ID = WEIGHTS_OBJ_ID + 2;
        public const UInt32 WEIGHTS_OBJ_PLCOS_SYNCPROP_ID = WEIGHTS_OBJ_PLCOS_ID + 1;

        public const UInt32 WEIGHTS_OBJ_FLOW_ID = WEIGHTS_OBJ_ID + 4;
        /// <summary>
        /// 每次配料记录列表, 1~5
        /// </summary>
        public static UInt32 WEIGHTS_OBJ_MIX_ID(int idx)
        {
            return (UInt32)(WEIGHTS_OBJ_ID + 5 + idx);
        }
        /// <summary>
        /// 每次配料记录列表, 1~5
        /// </summary>
        public static UInt32 WEIGHTS_OBJ_ROLLMIX_ID(int idx)
        {
            return (UInt32)(WEIGHTS_OBJ_ID + 20 + idx);
        }

    }
}
