﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Winder.UI.Client
{
    public class SysParam : Misc.ISaveToXml, INotifyPropertyChanged
    {
        static SysParam current;
        public static SysParam Current
        {
            get
            {
                if (current == null)
                {
                    current = new SysParam();
                }
                return current;
            }
        }

        #region 属性，成员变量的代理
        public IPEndPoint ServerEP { get; set; }

        

        public string Path = "winderparam.xml";
        #endregion
        public SysParam()
        {
            ServerEP = Misc.StringConverter.ToIPEndPoint("127.0.0.1:20004");
            if (!Load())
                Save();
            
        }



        public bool Load()
        {
            return Misc.SaveToXmlHepler.Load(Path, this);
        }
        public void Save()
        {
            Misc.SaveToXmlHepler.Save(Path, this);
        }


        public string[] GetSavePropertyNames()
        {
            return new string[]{
                "ServerEP"
            };
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
