﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace FLY.Winder.UI.Client
{
    /// <summary>
    /// Window_Frequency.xaml 的交互逻辑
    /// </summary>
    public partial class Window_Freq : FLY.ControlLibrary.WindowBigClose
    {
        FLY.Winder.Client.WinderSystemServiceClient winderSystem;

        public Window_Freq()
        {
            InitializeComponent();
            winderSystem = TDGage.Current.mWinderSystem;
            this.DataContext = winderSystem.Accessory;
        }

        private void button_minus_Click(object sender, RoutedEventArgs e)
        {
            if (winderSystem.Accessory.RotaryFreqSet >= 0.1)
            {
                winderSystem.Accessory.RotaryFreqSet -= 0.1f;
            }
        }

        private void button_plus_Click(object sender, RoutedEventArgs e)
        {
            if(winderSystem.Accessory.RotaryFreqSet < 50)
                winderSystem.Accessory.RotaryFreqSet += 0.1f;
        }

        private void button_ok_Click(object sender, RoutedEventArgs e)
        {
            winderSystem.Accessory.IsRotaryFreqChanged = true;
            this.DialogResult = true;

            this.Close();
        }


    }
}
