﻿using FLY.Winder.Client;
using FLY.Winder.Common;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace FLY.Winder.UI.Client.UIModule
{
    /// <summary>
    /// Window_Frequency.xaml 的交互逻辑
    /// </summary>
    public partial class Window_Measure : FLY.ControlLibrary.WindowBigClose
    {
        public WindowMeasureViewModel viewmodel = new WindowMeasureViewModel();
        public Window_Measure()
        {
            InitializeComponent();
           
        }
        public void Init(int measureLenSet, int measurePreWarning)
        {
            viewmodel.MeasureLenSet = measureLenSet;
            viewmodel.MeasurePreWarning = measurePreWarning;
            this.DataContext = viewmodel;
        }



        private void button_ok_Click(object sender, RoutedEventArgs e)
        {

            this.DialogResult = true;

            this.Close();
        }


    }
    public class WindowMeasureViewModel:INotifyPropertyChanged
    {
        public int MeasureLenSet { get; set; }
        public int MeasurePreWarning { get; set; }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
