﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace FLY.Winder.UI.Client.UIModule
{
    /// <summary>
    /// Window_Frequency.xaml 的交互逻辑
    /// </summary>
    public partial class Window_Velocity : FLY.ControlLibrary.WindowBigClose
    {
        FLY.Winder.Client.WinderSystemServiceClient winderSystem;

        public Window_Velocity()
        {
            InitializeComponent();
            winderSystem = TDGage.Current.mWinderSystem;
            this.DataContext = winderSystem.Accessory;

            ResetAction.SetResetAction(button_ok, winderSystem.Accessory, "IsVelocityChanged");
        }

        private void button_minus_Click(object sender, RoutedEventArgs e)
        {
            if (winderSystem.Accessory.VelocitySet >= 0.1)
            {
                winderSystem.Accessory.VelocitySet -= 0.1f;
            }
        }

        private void button_plus_Click(object sender, RoutedEventArgs e)
        {
            if (winderSystem.Accessory.VelocitySet < 200)
                winderSystem.Accessory.VelocitySet += 0.1f;
        }

        private void button_ok_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
            this.Close();
        }


    }
}
