﻿using FLY.Winder.Common;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FLY.Winder.UI.Client.UnitTests
{
    public class WinderSystem_UnitTest
    {
        /// <summary>
        /// 收卷其它附件
        /// </summary>
        public WinderAccessory Accessory { get; set; }
        /// <summary>
        /// 内收卷 外收卷
        /// </summary>
        public List<WinderInsideOutside> Items { get; set; }

        public WinderSystem_UnitTest()
        {
            Items = new List<WinderInsideOutside>();
            Items.Add(new WinderInsideOutside());
            Items.Add(new WinderInsideOutside());

            Items[0].CuttingFilmElapsed = 1;
            Items[0].CuttingFilmDelay = 2;

            Items[0].MeasureLen = 10340;
            Items[0].MeasureLenSet = 2000;
            Items[0].MeasurePreWarning = 1600;

            Accessory = new WinderAccessory();
            Accessory.WinderMeasurePerimeter = 314;

            Accessory.RotaryFreqSet = 30;
            Accessory.RotaryCurrent = 10.1f;
            Accessory.RotaryFreq = 29.9f;
            Accessory.IsRotaryForw = true;

            Accessory.Velocity = 59.7f;
            Accessory.VelocitySet = 60;
        }
    }
}
