#!/bin/bash

dest_dir="../Project.FLY.Thick.Blowing/FLY.Thick.Blowing.UI.Fix.Client/bin/Debug"
src_dir="src_dir"
src=("src0" "src1")

copy_to()
{
    for f in ${src[*]}
    do
        path=$src_dir/$f
        cp $path $dest_dir
        if [ $? != 0 ]; then 
            echo "ERROR!"
            exit 1
        fi
    done
}

echo "-------------------Copy To FLY.Thick.Blowing.UI.Fix.Client----------------------------"
#-----------------------------------------------------------------
#AirRing
src_dir="../Project.FLY.FeedbackRenZiJia/FLY.FeedbackRenZiJia.UI.Client/bin/Debug"

src=("FLY.FeedbackRenZiJia.dll" \
"FLY.FeedbackRenZiJia.UI.Client.dll")

copy_to
echo "Copy AirRing dll SUCCESS"

#-----------------------------------------------------------------
#IBC

src_dir="../Project.FLY.IBC/FLY.IBC.UI.Client/bin/Debug"

src=("FLY.IBC.dll" \
"FLY.IBC.UI.Client.dll")

copy_to
echo "Copy IBC dll SUCCESS"


#-----------------------------------------------------------------
#Winder
src_dir="../Project.FLY.Winder_20190413/FLY.Winder.UI.Client/bin/Debug"

src=("FLY.Winder.dll" \
"FLY.Winder.UI.Client.dll")

copy_to
echo "Copy Winder dll SUCCESS"

#-----------------------------------------------------------------
#Weight

src_dir="../Project.FLY.Weight/FLY.Weight.UI.Client/bin/Debug"

src=("FLY.Weight.dll" \
"FLY.Weight.UI.Client.dll")

copy_to
echo "Copy Weight dll SUCCESS"


dest_dir="../Project.FLY.Thick.BlowingScan/FLY.Thick.BlowingScan.UI.Client/bin/Debug"

echo "-------------------Copy To FLY.Thick.BlowingScan.UI.Client----------------------------"
#-----------------------------------------------------------------
#AirRing
src_dir="../Project.FLY.FeedbackRenZiJia/FLY.FeedbackRenZiJia.UI.Client/bin/Debug"

src=("FLY.FeedbackRenZiJia.dll" \
"FLY.FeedbackRenZiJia.UI.Client.dll")

copy_to
echo "Copy AirRing dll SUCCESS"

#-----------------------------------------------------------------
#IBC

src_dir="../Project.FLY.IBC/FLY.IBC.UI.Client/bin/Debug"

src=("FLY.IBC.dll" \
"FLY.IBC.UI.Client.dll")

copy_to
echo "Copy IBC dll SUCCESS"


#-----------------------------------------------------------------
#Winder
src_dir="../Project.FLY.Winder_20190413/FLY.Winder.UI.Client/bin/Debug"

src=("FLY.Winder.dll" \
"FLY.Winder.UI.Client.dll")

copy_to
echo "Copy Winder dll SUCCESS"

#-----------------------------------------------------------------
#Weight

src_dir="../Project.FLY.Weight/FLY.Weight.UI.Client/bin/Debug"

src=("FLY.Weight.dll" \
"FLY.Weight.UI.Client.dll")

copy_to
echo "Copy Weight dll SUCCESS"

